Reply
Highlighted

Installing and developing applications with bloxtools

community Employee
Employee
Posts: 73
2305     0

Hello,

I'm trying to install a machine to develop an application based on bloxtools.

To do this, I followed the instructions at

http://www.infoblox.com/community/forum/bloxtools/environments/how-install-infobloxbloxtools-ubuntu-...

and in particular, I downloaded the infoblox file from my appliance.
The file is:
Infoblox-5.0000010081926.tar.gz

Then, I downloaded the bloxtools-bdk from the bloxtools site:
http://www.infoblox.com/community/downloads/bloxTools-bdk-200-beta
and i tried to do a test using the documentation under the docs directory I found in it.

I tried to create a simple perl file using, for example, the classes "Infoblox:Smiley Frustratedimple", or
"Infoblox:Smiley Very HappyHCP::Network". But when I try to run it, the perl tolds me that he doesn't have those
modules.

Can anyone explain me what I'm doing wrong? I have the doubt that the documentation is not for the
version of bloxtools I'm using. Can anyone tell me if this is right?

thanks in advance

Fabio Ferrari

Re: Installing and developing

GHorne Community Manager
Community Manager
Posts: 254
2306     0

Have you installed the NIOS API modules (Infoblox.pm) ? once you dowoad the file from your appliance, you still need to go through the install process.

Also, what platform are you installing this all on ?

I guess the missing step from the documentation is that you need a working stable NIOS API environment before you can install.

The other problem is that those 'Unbuntu 10.04' install instructions are related to an older version of the BDK, you should follow the install instrictions that are in the BDK, (and if there is information missing from there, please let us know)

the BDK is stil in beta because, sorry, we're sure the docs are missing vital information , so all this feedback helps.

Re: Installing and developing

user42
Techie
Posts: 35
2306     0

I used an Ubuntu Server (12.04, but I don't think there's much difference from 10.04) so I can follow the instructions without many differences.

And yes, if you mean the usual perl compilation procedure:

tar xvfz Infoblox-5.0000010081926.tar.gz

cd Infoblox-5.0000010081926

perl Makefile.PL

make

make test

make install

i went to the istall process.

Anyway, I didn't find any similar instructions in the bloxtools-bdk-2.0.0-beta.zip archive, where exactly do you mean they are?

thanks in advance

Fabio Ferrari

Showing results for 
Search instead for 
Do you mean 

Recommended for You